Logitech Bluetooth keyboards (Mediaboard & Di Novo) not working on Intrepid

Reported by Beyil on 2008-11-01
108
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Ubuntu PS3 Port
High
Unassigned
bluez (Ubuntu)
Undecided
Unassigned

Bug Description

Bluetooth wizards finds adds in a bluetooth keyboard, but it will not recognize any keystrokes or the mouse that is built into said keyboard. Essentially the logitech meadiaboard pro for the ps3 becomes as useless as the sixasis controller under ubuntu. This has become a real show stopper for me as I cann't be raiding a usb keyboard from another computer to do the keyboard work on hte ps3 all the time when it has a working keyboard that is a blue tooth one which is not useable even at boot nor with in the OS even though it is recognized by the bluetooth wizard and is listed as functioning....

Ville Määttä (vmaatta) wrote :

I'd like to add my two cents on this. My install went nicely but after booting up the newly installed system my wireless keyboard looses connection. Still working fine with kboot but not with booted up Ubuntu.

20083010 PS3 alternate build.
Logitech Di Novo Edge and using the dongle.

hyperspaced (hyperspaced) wrote :

Let me add another comment on this.

Up to now, I was using 7.10 with absolutely no problem as far as the MediaBoard Pro was concerned.

The procedure was to do a manual: sudo hidd --connect XX:XX:XX:XX and edit some lines in /etc/bluetooth/hcid.conf.
After that, MediaBoard was automatically recognized everytime I turned on the PS3.

On 8.10, the hcid.conf file doesn't exist, neither the hidd binary. So, I tried using the bluetooth wizzard which asked me to enter a PIN.
I enter the PIN correctly on the MediaBoard (you need to press [ENTER]) and I get a message saying that pairing was succesfull. I can verify the linkkey file is filled with the pairing PIN (encoded -or hashed- of course). I can also see MediaBoard Pro into the Known Devices list.

Well, after just entering the PIN and pressing [ENTER] the keyboard is unusable. The keystrokes do not appear on screen.

What I did to use the MediaBoard (even for a while) is to download the bluez-compat package, that installs the hidd daemon and follow the 7.10 procedure. While it works, it doesn't make the changes permanent :(

hyperspaced (hyperspaced) wrote :

I need to point out that this behaviour is really a game-killer for me and many others. I was using PS3 to browse the internet and check e-mails, but the the bluetooth keyboard not functioning correctly this is annoying to say the list. After all PS3 is a media/game center device.

I would recommend that this issue receives an above Medium priority.

Dan Munckton (munckfish) wrote :

Right folks - gonna need some extra info from you to try and work out where exactly things are going wrong. Could you please prefix the logs filenames with either 'mediaboard' or 'dinovo' when you upload them so we can clearly compare. Also make sure you bluetooth keyboard is "connected" before following these steps:-

1) Please upload your Xorg log file from your PS3 system:

/var/log/Xorg.0.log

2) Please upload the output of the dmesg command:

dmesg > dmesg.log

3) Please upload your 'messages' log:

/var/log/messages

4) Please upload the output of the lshal command:

lshal > lshal.log

5) If you switch to one of the Virtual Terminals (done by pressing Ctrl+Alt+F1 or ...+F2 or ...+F3 etc) and then type on your keyboard - can you see anything? If so it could be the problem lies in Xorg's new hotplugging feature. To get back to X from a VT type Ctrl+Alt+F7

Cheers

Changed in ubuntu-ps3-port:
importance: Undecided → High
status: New → Incomplete
Ville Määttä (vmaatta) wrote :

I'll try and get you guys some logs tomorrow (that's in about 24 hours). I'll have to dig out a wired keyboard and tonight's a bit busy...

Anyways, when I'll get to the logs I'll try to dig out some answers too. I remember earlier fiddling around with the bluetooth configs on YDL 6 or Ubuntu 7.10 and managed to get dinovo working without the dongle. With 7.10 it worked with the dongle out-of-the-box obviously.

hyperspaced (hyperspaced) wrote :

Dan,

here are the files you requested. (I used a Kingston usb stick to copy -- you can see it in the logs - don't let it bother you)

Message 35.616454 (in dmesg.log) looks suspicious enough, I think

Please note that the tests where done on Nov 5, 00:30 and onwards, with Logitech MediaBoard Pro bluetooth keyboard.
Also, I remind you that using hidd --connect XX:XX:XX:XX works, but the effect is not permanent (created new hcid.conf file taken from 7.10 installation)

Hope this helps

hyperspaced (hyperspaced) wrote :

Hello Dan, did you get all the info necessary?

Dan Munckton (munckfish) wrote :

@hyperspaced: had a busy week at work, will take a look as soon as I can.

Dan Munckton (munckfish) wrote :

@hyperspaced - could you upload those files in a Zip? RAR is pretty much a non-free format. If you use Zip folks like me don't have to go around installing extra software to be able to open your archive.

Could you also upload the hcid.conf file which works? The one from 7.10 installation?

Also, I forgot to ask - does the BT keyboard work connected to normal PC/desktop installation of Intrepid? Maybe use a LiveCD if you can't install to the desktop you have access to.

Cheers

hyperspaced (hyperspaced) wrote :

sorry dan, I thought unrar was free.
I upload them in ZIP.

I cannot test the MediaBoard in my PC, since I don't have a bluetooth dongle. However, the keyboard is functional since it works on 7.10 (and 8.10 with hidd only)

hyperspaced (hyperspaced) wrote :

I don't have the 7.10 hcid.conf anymore.
It's the standard hcid.conf of the 7.10 with the following options

[code]
    #
    # HCI daemon configuration file.
    #

    # HCId options
    options {
    # Automatically initialize new devices
    autoinit yes;

    # Security Manager mode
    # none - Security manager disabled
    # auto - Use local PIN for incoming connections
    # user - Always ask user for a PIN
    #
    security auto;

    #Default passkey
    passkey "0000";

    # Pairing mode
    # none - Pairing disabled
    # multi - Allow pairing with already paired devices
    # once - Pair once and deny successive attempts
    pairing multi;

    # PIN helper
    #pin_helper /usr/bin/bluepin;

    # D-Bus PIN helper
    dbus_pin_helper;
    }

[/code]

The device class is not listed above because it's left unchanged.
Finally, the mediaboard was set to trusted from the bluetooth panel on 7.10

Dan Munckton (munckfish) wrote :

Attaching to bluez for now as I think we quite a bit of information to be going along with. Although this problem may yet be due the linux-ports kernels using a different kernel version (2.6.25) than the supported architectures (2.6.27).

I don't have either of these devices myself so there's only a limited amount I can do to help.

Note new workaround from the psubuntu forums:

http://psubuntu.com/forums/viewtopic.php?f=4&t=617

Need to question the author of that as to why and how that works.

Changed in ubuntu-ps3-port:
status: Incomplete → Confirmed
Changed in bluez:
status: New → Confirmed
status: Confirmed → New
Miika Laaksonen (miika) wrote :

"Workaround" seems to disable the bluetooth host stack of Ubuntu. After that the keyboard could be used in hid mode instated of hci mode. Side effect is that Ubuntu has not any bluetooth functionality available.

akareh (akareh) wrote :

I have been watching this thread closely because I have the same exact problem. Work around didn't work for me because even though I think I have the latest bluez version my ps isn't recognizing HIDD commands. Any suggestions?

BiggieB (bigredwolfpak) wrote :

akareh, I had the same problem. I had to install the bluez-compat package to get hidd. "sudo apt-get install bluez-compat" should work. Hope this helps.

I have got my keyboard working now using hidd, and am happily typing this message with it. However, I don't know how to set it as trusted. I'm using 8.10 on the PS3, and as I understand it I need to set the board to trusted to have it connect automatically on startup. The guides I've seen have referenced 7.10, and instruct going back to the gnome bluetooth manager to do so, but I don't see my board listed there. I'm pretty green with Ubuntu, and have no mastery of the console, so any help is greatly appreciated.

akareh (akareh) wrote :

Biggie,
Thanks man for the advise. I went with YDL 6 instead and found it to be an alright choice. I like that you have a shortcut that will get you back into the PS OS. The bluetooth works well with the HIDD commands, I found it easier to install on YDL. BUT the wireless becomes a problem. I managed to get it to connect once but since then just lost the desire. I'm out of town now but probably will play with it some more when I get back. I think ubuntu 8.1 is a much cleaner look and interface but the Bluetooth keyboard was a deal killer.

TankerKevo (tankerkevo) wrote :

Has any progress been made on the Logitech MediaBoard Pro and 8.10?

Ambricka (petter-ambricka) wrote :

I made some investigations yesterday, not a mediaboard or a dinovo, but anyway a logitech Dell-branded keyboard.
As I've read somewhere earlier, the hidd-workaround stopped working some time...
Sure enough, I couldn't get the hidd-thing to work, but I noticed in the xorg-log that it tried to attach my keyboard as a touchpad. There's no touchpad, and of course it failed.
However, the keyboard has a couple of "mouse buttons", for next/previous web page and so on.
Fine, I removed xserver-xorg-input-synaptic and tried hidd again, voila! Working bluetooth keyboard.
However, the connection seems to die every now and then, timeout or something, and doesn't automatically reconnect.

PS3 running jaunty.
Tried the very same keyboard on a jaunty/i386, and it instantly worked after pairing via the wizard.

/var/log/syslog with 'buetoothd -d' attached, and a couple of connection attempts with my keyboard.

Ambricka (petter-ambricka) wrote :

I can confirm I still have the same behaviour with the latest kernel from geoff.. :(

Linux ps3 2.6.29-rc7-powerpc64-smp-custom #2 SMP Sat Mar 7 20:16:56 CET 2009 ppc64 GNU/Linux

Arnaud Jeansen (ajeans) wrote :

@Ambricka
Can you please attach to this bug the output of "hal-find-by-capability --capability input | xargs -n1 lshal -u > lshal.log "
(command from https://wiki.ubuntu.com/Hotkeys/Troubleshooting) ?

Thanks

Arnaud Jeansen (ajeans) wrote :

@Ambrick
Can you also attach the output above, *after* reinstalling xserver-xorg-input-synaptic please ?

The input-synaptics interaction may be due to what I'm seeing with my USB keyboard (https://bugs.launchpad.net/ubuntu/+source/hal/+bug/351059).

If the hal description of your mouse says
input.x11_driver = 'evdev'
in the first log, and
input.x11_driver = 'synaptics'
in the second log, please try to run the following command

hal-set-property --udi "$UDI" \
--key "input.x11_driver" --string "evdev"

with $UDI the udi identifier of your mouse.

Thanks

Ambricka (petter-ambricka) wrote :

withoud "hidd" the keyboard doesn't even attach as an input device.
hidd sure connects an input device, with driver "synaptics" if the synaptics driver is installed. hal-set-property does not help me here :(

however the link hal is here:

udi = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c'
  bluetooth_acl.address = 31703193132 (0x761a8562c) (uint64)
  bluetooth_acl.originating_device = '/org/freedesktop/Hal/devices/usb_device_54c_267_noserial_if0_bluetooth_hci_2306529a9b' (string)
  info.capabilities = {'bluetooth_acl'} (string list)
  info.category = 'bluetooth_acl' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_54c_267_noserial_if0_bluetooth_hci_2306529a9b' (string)
  info.product = 'Bluetooth Asynchronous Connection-oriented Link' (string)
  info.subsystem = 'bluetooth' (string)
  info.udi = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'bluetooth' (string)
  linux.sysfs_path = '/sys/devices/ps3_system/sb_07/usb2/2-2/2-2:1.0/bluetooth/hci0/hci0:43' (string)

and the working input thing without synaptics driver installed. The only difference really is the driver...

udi = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c_logicaldev_input'
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'input.keyboard', 'input.keypad', 'input.keys', 'input.touchpad', 'button'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c' (string)
  info.product = 'Logitech Bluetooth Keyboard' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c_logicaldev_input' (string)
  input.device = '/dev/input/event4' (string)
  input.originating_device = '/org/freedesktop/Hal/devices/bluetooth_acl_761a8562c' (string)
  input.product = 'Logitech Bluetooth Keyboard' (string)
  input.x11_driver = 'evdev' (string)
  input.xkb.layout = 'us' (string)
  input.xkb.model = 'pc105' (string)
  input.xkb.rules = 'evdev' (string)
  linux.device_file = '/dev/input/event4' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/ps3_system/sb_07/usb2/2-2/2-2:1.0/bluetooth/hci0/hci0:46/input5/event4' (string)

Ambricka (petter-ambricka) wrote :

some more investigation showed that it helped, the keyboard spawned into some other input devices, which I changed the properties on to make it "work".

Arnaud Jeansen (ajeans) wrote :

@Ambricka
Thanks a lot for your reply.

So it seems that your keyboard is assigned to the synaptics driver because hal sees it with the capability "input.touchpad" (there is an fdi file to does this assignment input.touchpad => synaptics driver).

I need to investigate a bit more on this issue, so could you please go to bug 351059 (https://bugs.launchpad.net/ubuntu/+source/hal/+bug/351059) and add the output of:

- /proc/bus/input/devices on your PS3 (with your keyboard linked)
- /proc/bus/input/devices on your other computer (also with your keyboard linked)

Ambricka (petter-ambricka) wrote :

30 lines pasted...
However, I think the big problem is that the keyboard does not attach as input device without help of the hidd binary on ps3, not needed on i386 or amd64 (that one's still a hardy)

Arnaud Jeansen (ajeans) wrote :

@Ambricka

You're right, the synaptics problem is simply a secondary issue that I wanted followed somewhere else. This bug should only relate to the bluetooth problems.

Ambricka (petter-ambricka) wrote :

sure, but I don't have the synaptics problem on the other machines.
I think that one will sort out itself when standard bluetooth probe/pair/connect works.
Then again, I don't know the difference between the internal logics of bluez vs manually connecting with hidd.

Arnaud Jeansen (ajeans) wrote :

@Ambricka

The synaptics problem is orthogonal, I have it on my USB mouse :-/

@Dan
Is there any chance that this bug may be the same ?
https://bugs.launchpad.net/ubuntu/+bug/268502

There are three fixes cherry picked for the main kernel, maybe it would be worth a shot to ask Luke to add them to linux-ports ?
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commitdiff;h=cdd1ed8f6cec7cd24af8893cdd502bf14a9428f5
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commitdiff;h=66f550e4f758fc8a0f78f35395d283d526dc9c37
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commitdiff;h=acf57477bf7d21e1d794eee57ec5c37e0a947379

Now unless someone with the problem compiles its own kernel with these fixes, there is no proof that it may help

Arnaud Jeansen (ajeans) wrote :

Dan, ignore what I said before.

We will get these three upstream fixes, cherry picked for the main kernel in Jaunty as soon as Luke rebases linux-port on jaunty 2.6.28-11.39

He seems to do that for every release, so people with a problem here should try again with the next version.

On Fri, 2009-04-03 at 13:49 +0000, Arnaud Jeansen wrote:
>
> There are three fixes cherry picked for the main kernel, maybe it
> would be worth a shot to ask Luke to add them to linux-ports ?

Has he confirmed that he'll include them?

Arnaud Jeansen (ajeans) wrote :

@Dan

No I didn't contact Luke, he seems to do a rebase on the "standard" jaunty kernel for every "ports" kernel release, so It will come for free the next time.

Do you think I should explicitly ask him for a new ports release ?

Arnaud Jeansen (ajeans) wrote :

Seems that Luke released a new "ports" kernel and a bluetooth fix has been integrated

In linux-ports 2.6.28-6.17

  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502

If someone here can test to see if this helps, that would be nice...

Leif Gruenwoldt (leifer) wrote :

@Arnaud

You might be interested in my comment on bug #268502 where I tested my Mediaboard with the latest kernel with bluetooth fixes. In short I had some success. But there are a couple kinks to work out yet before this regression is completely fixed up.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/268502/comments/172

Dan Munckton (munckfish) wrote :

On Mon, 2009-04-06 at 09:31 +0000, Arnaud Jeansen wrote:
> Do you think I should explicitly ask him for a new ports release ?

Yes. He won't do a new release unless he has a compelling reason to do
so. Although there's probably other stuff he still needs to fix, you
could end up waiting x amount of time otherwise.

Arnaud Jeansen (ajeans) wrote :

OK I'll remember to ask him explicitly the next time.

For this bug,, bluetooth fixes have been included in the ports kernel, so bluetooth testers needed :-)

Ambricka (petter-ambricka) wrote :

Sorry to say I didn't see any improvements in this case :(
(PS3 that is)

TankerKevo (tankerkevo) wrote :

Side comment:
I know this is already implied, but I'd like to state that this also affects the x86 Intrepid distribution...not just the PS3 port.

I'll be upgrading my systems to the 9.04 Jaunty Beta, on both 32 bit and 64 bit architectures, this weekend and will be testing this keyboard's progress.

Armanid27 (armani2k3) wrote :

Is there an update on this BUG? I just installed Jaunty 9.04 on my PS3 - I am using the Logitech Di Novo BT KB. It works at kboot, but once my log-in screen apperas - my logitech di novo kb stops working completely. Is there an alternative to making this work with a different keyboard? I am using the USB dongle that comes with my KB.

TankerKevo (tankerkevo) wrote :

I upgraded my HTPC to Jaunty 64 bit over the weekend. I am happy to say that my PS3 bluetooth keyboard is functioning perfectly under Ubuntu now. I simply used the bluetooth icon in the systray.

dibrown (ditrash) wrote :

I am using jaunty on a PS3 and trying to install the (bluetooth) mediaboard pro. I tried to install it via the bluetooth manager first. It appeared to register properly when I entered the code but the keyboard didn't work... no keystrokes or mouse movement in linux. Second I tried to connect using the terminal.
sudo hidd -connect AA:BB:CC:DD:EE:FF
sudo sidd --search

I pressed the reset button on the keyboard during the search and it was connected. At this point the mouse on the keyboard works, but keystrokes don't yield anything. Any idea what I can try from here?

c_boben (c-boben) wrote :

I'm experiencing the exact same situation that hyperspaced described 6months ago (2nd post).

Use the gnome app, the keyboard is correctly recognized as a "Logitech Cordless Mediadiaboard Pro (TM)". I'm asked to input a pin, which I do using said keyboard. It confirms my correct entry of the password, and adds it to its list of devices. And that's where the fun ends, it never works afterwards. Neither the mouse, nor the keyboard do anything.

If I forgo the gnome app and install bluez-compat and use "hidd -connect AA:BB:CC:DD:EE:FF" I can get it to work instantly! However, the connection isn't permanent. Rebooting the system or letting the keyboard go into sleep mode (10mins) breaks the connection. Obviously needing a kb to run the script and not having a working kb create a bit of a vicious circle.

This is using Jaunty i386, but I've also tried every bluetooth capable livecd I have (including fedora/suse) all to no avail. They all use bluez apparently. I've tried compiling the latest bluez (4.39) from source - same issue.

At this point I'm at the limits of my knowledge, this is my first foray in using bluetooth. I'm more than happy to provide any info or logs that may help get this resolved.

I've also tried blueman. While a nicer interface, has the same issues.

rsaSean (seane1) wrote :

Has there been any progress/update to this bug ? I am running Jaunty Jackalope and my mediaboard pro will not function. I have tried several of the suggestions but have not been able to get both the keyboard and mouse to work.

I have all the latest updates... any help will be greatly appreciated

A lot of things will change with regards to bluetooth for Karmic (in
general Ubuntu). Unfortunately, I don't have a bluetooth keyboard to
test this, we will have to wait for people affected by this bug to
upgrade and test.

On Fri, Jun 12, 2009 at 3:26 PM, rsaSean<email address hidden> wrote:
> Has there been any progress/update to this bug ? I am running Jaunty
> Jackalope and my mediaboard pro will not function. I have tried several
> of the suggestions but have not been able to get both the keyboard and
> mouse to work.
>
> I have all the latest updates... any help will be greatly appreciated
>
> --
> Logitech Bluetooth keyboards (Mediaboard & Di Novo) not working on Intrepid
> https://bugs.launchpad.net/bugs/292042
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Quipeace (quipeace) wrote :

We'll it sure looks like things have changed, but the Sixaxis controller still won't work, even thought it asks me to grant access to it on start-up now (it asks for a pin when trying to pair...). I fear that the mediaboard still won't work but It's worth trying anyway. At least WPA works out of the box without having to disable - enable every boot ;)

Arnaud Jeansen (ajeans) wrote :

Quipeace,

I didn't expect the sixaxis to work over bluetooth, there is no complete support for it - yet -. This will probably land for karmic+1.
http://www.hadess.net/2009/05/sixaxis-support-in-bluez.html

However, keyboards might work at this time. If you get a chance to test it, I would be very interested in the outcome.

I'm certainly planning to buy one of these mediaboards, they look great for what I'm planning to do with Ubuntu.The link you send me looks promising! What however, did you mean with karmic+1?

_______________________

Tha Quipeace

> Date: Mon, 15 Jun 2009 19:57:10 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 292042] Re: Logitech Bluetooth keyboards (Mediaboard & Di Novo) not working on Intrepid
>
> Quipeace,
>
> I didn't expect the sixaxis to work over bluetooth, there is no complete support for it - yet -. This will probably land for karmic+1.
> http://www.hadess.net/2009/05/sixaxis-support-in-bluez.html
>
> However, keyboards might work at this time. If you get a chance to test
> it, I would be very interested in the outcome.
>
> --
> Logitech Bluetooth keyboards (Mediaboard & Di Novo) not working on Intrepid
> https://bugs.launchpad.net/bugs/292042
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu PS3 Port: Confirmed
> Status in “bluez” source package in Ubuntu: New
>
> Bug description:
> Bluetooth wizards finds adds in a bluetooth keyboard, but it will not recognize any keystrokes or the mouse that is built into said keyboard. Essentially the logitech meadiaboard pro for the ps3 becomes as useless as the sixasis controller under ubuntu. This has become a real show stopper for me as I cann't be raiding a usb keyboard from another computer to do the keyboard work on hte ps3 all the time when it has a working keyboard that is a blue tooth one which is not useable even at boot nor with in the OS even though it is recognized by the bluetooth wizard and is listed as functioning....

_________________________________________________________________
Nieuws, entertainment en de laatste roddels. Je vind het op MSN.nl!
http://nl.msn.com/

Ryusennin (ryusennin) wrote :

Arnaud, last time I checked in Karmic (about a week ago), my MediaBoard still didn't work. It was detected and I could pair it with the PIN identification, but it just wouldn't do anything else. I'll try again this week.

Is it related to bug [url=https://bugs.launchpad.net/bugs/268502]268502[/url]? Recent reports say that Bluez 4.40 solves many Bluetooth problems.

Quipeace (quipeace) wrote :

I'm picking up a mediaboard later today, it will get fixed eventually :P.
I'll compile bluez 4.40 to see if that works ;).

Quipeace (quipeace) wrote :

Keyboard was sold out :(, no luck on the web either... 2 weeks + out of stock.
Sorrey :(

Rohan (rohan25) wrote :

Still going on, this is lame.

Gnome bluetooth applet does absolutly nothing. It lets me pair the keyboard and that's it. The mouse and keyboard do not function.

However using hidd --search or hidd --connect MAC does connect...however only the mouse works, not the keyboard. I tried adding the hidd connect line to local.rc and the mouse works on startup, however the keyboard does not.

Anyone have a fix for the keyboard part of the keyboard? :P

TankerKevo (tankerkevo) wrote :

Noticed a bunch of new comments here.

Just to reiterate, the logitech ps3 keyboard works fine on my 64bit 9.04 HTPC. This means that the developers of gnome bluetooth need to figure on the differences between the 64bit and ppc architectures.

Good luck everyone!

RainerB (rhb66) wrote :

For those who have the mouse working but not the keyboard (after issueing a hidd --conect <BT-MAC> ), here is
what helped in my case:

As described earlier ther might e a problem with the keyboard using the synaptics driver.
After uninstalling the synaptics driver:

sudo apt-get remove xserver-xorg-input-synaptics

the keyboard came to live (but only using hidd).

I added the hidd command into the /etc/rc.local and now hav the keyboard and mouse working after boot(on the
logon screen). Also tried to add a script that does something like
while ( sleep 10)
do
  hidd --connect <BT-MAC>
done

to reconnect the keyoard periodically (after idel timeout), but this did not work.
So, whenever the timeout occurs I'm loosing my input ability and have to reboot(not nice).

Also made the bluez 4.42 and ran that - did not chnage anything. Not sure really if I did everything correct here.
the make install only installs into /usr/local.
The bluetoothd stil is used from /usr/sbin.
So I changed /etc/init.d/bluetoooth and started from /usr/local/sbin - is this the right way ???

I actually have the same problem that dibrown has.

I'll try what RainerB suggested, but that doesn't exactly seem like a permanent solution. I'm thinking of just plopping down some money on the Logitech Denovo Edge. As long as it seems like it'll work for sure.

Darric (xwdarricwx) wrote :

I can confirm that removing the synaptic driver as RainerB suggests, works perfectly!

Thanks so much RainerB I had struggled with this for a few days now... even jumped between distro's.

I had the same symptoms... Mouse pad working but keyboard non-responsive.. removed the synaptics driver.. did a hidd --connect, and voila.

Ryusennin (ryusennin) wrote :

That's not a permanent solution; it's just a workaround.

Darric (xwdarricwx) wrote :

True enough, as it is not paired using the BT applet.

I was just aiming for full functionality... and since the work around allowed me to use the mediaboard to log in after booting up, I was happy. Considering how long I wrestled with the thing.

I was never able to do a fresh install of Karmic. Im thinking due to my install media. Either way, from what I read, there wasnt any improvement. I would be willing to do more testing to help out if anyone can think of something.

I loves to tinker.

I confirm the problem too with PS3 internal bluetooth and bluez. PS3 newest firmware 2.80 and Logitech DiNovo edge bluetooth keyb. Xubuntu 9.04 ( 2.6.28.6-powerpc64-smp )

1. Using PS3 own bluetooth pairing throught bluetooth-wizard goes well, have to give pin and press enter. Pairing looks good, but nothing happen's when keyboard is pressed. ( Bluez 4.37 )

2. Can add the keyboard through terminal by command "sudo hidd --search xx:xx:xx:xx:xx" works well ( Connect button have to be pressed on keyb ) till next reboot. Doesnt regonize it from kboot to gnome login. You will need bluez-compact to use hidd, as descriped before. Problem is have to do this every boot throught alternative usb keyboard. And keyboard stops respond after some time ( ~5mins )

3. Added "sudo hidd --search xx:xx:xx:xx:xx" line to "/etc/rc.local", doesnt work. Only way work is to press "Connect" button after kboot. Keyboard stop to respond in some time ( ~5mins ).

Finally after week of reading post's and trying different solution's got it work with Logitech DiNovo's own BT dongle.

And the solution was pretty simple. Uninstalled Bluez "sudo apt-get remove bluez". Inserted the dongle to PS3, connected keyboard to dongle ( pressing connect from KB and BT dongle ). Rebootet linux. Works great from kboot to gnome. Reconnect's well back after ( ~5mins ) when the keyboard goes off. only 1-2 sec delay.

Ulisses Furquim (ulissesf) wrote :

@Kris: Yes, it works without the bluetooth stack probably because your dongle is in HID mode.

Setting both HID2HCI_ENABLED and HID2HCI_UNDO to 1 in /etc/default/bluetooth should make your dongle go to HCI mode during boot and back to HID mode on shutdown. Then you should be able to pair your mouse/keyboard and use other bluetooth devices as well.

New versions of BlueZ have an input service so hidd is no longer necessary. The bluetooth device (mouse/keyboard) should try to reconnect and this service should handle everything. However, this isn't happenning, unfortunately.

It would be good to test with a newer kernel/userspace (Karmic?) as this problem might have been fixed already.

@Ulisses: Thanks for info, downloaded 9.10 and will try that. Hopefully my ps3 sound's will come alive in that version.

I have found a solution for the Mediaboard Pro

1 Uninstall xorg-input synaptic

2 Run in a terminal

 # sudo hidd --search

4 Press the reset button on the device : keyboard and touchpad working.

5 Get the <BT-MAC>

5 Add the hidd command into the /etc/rc.local
hidd -- connect <BT-MAC>

and reboot the system.

Now the devices working after boot.

6 Run this script:
while ( sleep 10)
do
  hidd --search
done

to reconnect the keyoard periodically. If the keyboard go into sleep mode press the reset button ed use the touchpad.

I have found a solution for the mediaboard Pro

1) Uninstall xserver-xorg-input-synaptic

2) Run in a terminal

 # sudo hidd --search

3) Press the reset button on the device : keyboard and touchpad working.

4) Get the <BT-MAC>

5) Add the hidd command into the /etc/rc.local and
hidd --connect <BT-MAC>

and reboot the system.

Now the devices working after boot.

6) Run this script at root:
while (sleep 10)
do
  hidd --search
done

to reconnect the keyoard periodically. If the keyboard go into sleep mode press the reset button ed use the touchpad.

Rohan (rohan25) wrote :

6) Run this script at root:
while (sleep 10)
do
  hidd --search
done

---------------------------------

Can you give more details about how to do this? Is this a script that just runs search every 10 seconds *always*?

Is this a script that just runs search every 10 seconds *always*?

---------------------------------------------------------------------------------------------

Yes. This script reconnect the keyboard if you push the reset button

make a text file

# gedit script

and paste

while (sleep 10)
do
  hidd --search
done

save the changes.

make script executable

# chmod 755 script

run the script as root

# sudo ./script

Daniel_B (daniel-bankmann) wrote :

1) Uninstall xserver-xorg-input-synaptic <--- uninstall what?
Is this just one package, or each of them separatly? Most of them, I do not have...

2) Run in a terminal

 # sudo hidd --search

3) Press the reset button on the device : keyboard and touchpad working.

After this step. Only touchpad and buttons are working. Keyboard, not. Where's the mistake?

Daniel_B

uninstall the package bluez-gnome and try again. ;)

don waste your time - until someone solves this whole bluetooth issue forget
it

2009/9/9 Luca Gambardella <email address hidden>

> Daniel_B
>
> uninstall the package bluez-gnome and try again. ;)
>
> --
> Logitech Bluetooth keyboards (Mediaboard & Di Novo) not working on Intrepid
> https://bugs.launchpad.net/bugs/292042
> You received this bug notification because you are a member of
> Bluetooth, which is subscribed to bluez in ubuntu.
>
> --
> Ubuntu-bluetooth mailing list
> <email address hidden>
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-bluetooth
>

dharmo

my workaround work very well on Ubuntu 9.04.

crooky (michiel-syndro) wrote :

Luca,

I have followed you're instructions. But i wont get the mediaboard started with reboot. when i run the script mannualy on shell it will. How and Where do i have to place the script so it will start-up on boot.

Im using it with xbmc, so i need the get the search script start on boot and connect the mediaboard.

The board is working when doing mannualy hidd --search, when booting with the script you gave i get HID error acces violation.

Hope you can help. sorry for bad language ;)

greetz crooky

crooky (michiel-syndro) wrote :

the HID error: HID create error 13 (Permission denied)

greetz Crooky

Leif Gruenwoldt (leifer) wrote :

Success!

My Logitech Cordless MediaBoard Pro keyboard and bluetooth dongle paired and are working in Ubuntu 9.10 Karmic-beta Live-CD. I am typing this from my MediaBoard :)

$ lsusb | grep Bluetooth
Bus 004 Device 003: ID 22b8:0850 Motorola PCS Bluetooth Device

Kwinz (ldm) wrote :

Sometimes when I connect my bluetooth mouse, the mouse is recognized, but the mouse pointer does not move.

OS: Ubuntu 9.10, all updated to current version

~/ uname -a
Linux kwinz-laptop 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux

relevant syslog entries:
Nov 27 21:28:14 laptop kernel: [21966.702612] input: ThinkPad Bluetooth Laser Mouse as /devices/pci0000:00/0000:00:1a.1/usb4/4-2/4-2:1.0/bluetooth/hci0/hci0:11/input17
Nov 27 21:28:14 laptop kernel: [21966.702686] generic-bluetooth 0005:17EF:6002.0004: input,hidraw2: BLUETOOTH HID v2.45 Mouse [ThinkPad Bluetooth Laser Mouse] on 00:23:4D:F9:4C:8E

This bug dramatically affects the usability of ubuntu on ps3. I have a logitech mediaboard pro, which I happily use under ps3's own OS (XMB), and I do not want to use another mouse/keyboard combo when I use my ps3 with ubuntu.

The described workarounds are all cumbersome.

Dear development/bug fix team: Please prioritize this bug and fix it.

Thanks and best regards.

This problem also exists on xubuntu 9.10 for the ps3. I'm using a "Logitech PlayStation 3 Cordless MediaBoard Pro".

Killing xorg-drivers-input-synaptics helped xorg reconize the keyboard. The only way I'm able to connect to it is via the following command:

sudo hidd --connect <keyboardid>

Everything else, including the GUI tools fail to connect to this keyboard.

Regards

mkkyah (mkkyah) wrote :

Luca's workaround works for me using 9.10 ubuntu ps3. I need to press reset button on mediaboard pro right after selecting Linux in boot menu( actually it automatically boots in 3 seconds). Doing so it is working perfectly and I can also input my pass etc...
But if I don't touch it a while (5-10 minutes)it looses connection, so I need to connect an usb keyboard and make sudo hidd --search, it connects again.
To achieve these problem I created Luca' script, manually started in terminal. It also worked, all I need was press reset button to connect again.?

Now the problem: I cannot start the script automatically at bootup. Do I miss something? How can I start the script with every boot?

One more think which I'm not sure is that when the script is running I had too much periodically lags. (I was listening internet radio), not tested again, not sure...

running ubuntu karmic on hp mini 311 and can't make the logitech mediaboard pro to work.
Suprisingly the mediaboard worked fine with kubuntu karmic!! I am guessing installing kdebluetooth on top of ubuntu is not an option!

also with the hidd --search, I am unable to connect (provided I reset the logitech), however with 'hidd --connect mac-addy' I get a connection timed out, which means I can't automate this process by putting it in etc/rc.local

Any inputs would be great.

Mansour (oxplot) wrote :

OK - I may be stating the obvious and you may have already tried this. However, it doesn't hurt to repeat:
Has anyone tried the troubleshooting section of the following guide:
http://www.ubuntugeek.com/howto-setup-bluetooth-keyboard-and-mouse-in-ubuntu.html

obeyeater (obeyeater) wrote :

This is fixed in 10.04.

Collin (collin-schroeder) wrote :

Dinovo edge --

I am experiencing this bug in the PS3 port of 10.04.

I have both a desktop(amd64) and ps3 running 10.04.

On the both the desktop and the ps3 I can add the keyboard and enter the pin.

Afterwards the keyboard appears to be connected in the 'Devices' section of 'Bluetooth Preferences' on both systems.

On my amd64 desktop the keyboard and trackpad begin to work, but I get nothing on the ps3.

I've tried both with the USB BT dongle that ships with the keyboard and the internal ps3 bluetooth to no avail.

I'll paste my log files in a sec

Michael Mohr (akihana) wrote :

I've seen this bug in every version of the PS3 port I've used. The keyboard works fine for me in the PS# XMB as well as on Windows 7, but not on Ubuntu.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions